/*インクルード***********************************************************/
#include "lpc13xx.h"
#include "gpio.h"
#include "vs-wrc103.h"
#include "ixbus.h"

/*マクロ***********************************************************/

/*グローバル変数***********************************************************/

/*メイン関数***********************************************************/
int main (void)
{
	//制御周期の設定[単位：Hz　範囲：30.0~]
	const unsigned short MainCycle = 60;

	Init(MainCycle);		//CPUの初期設定

	InitEncoder();	//エンコーダを初期化します。使用する前にからなず読みだす必要があります。
	ClearEncoder();	//エンコーダの値をクリアします。

	LED(3);

	while(getSW() != 1);	//ボタンが押されるまで待つ
	while(getSW() == 1);	//ボタンが離されるまで待つ

	//ループ
	while(1){
		long L_enc_cnt,R_enc_cnt;	//エンコーダの値を格納するための変数
		Sync();						//同期関数　設定した周期（ここでは60Hz）毎に、次の処理を実行するために使用します。

		Mtr_Run_lv(10000,-10000,0,0,0,0);	//前進

		GetEncoder(&L_enc_cnt,&R_enc_cnt);	//エンコーダ値を取得します。

		if(L_enc_cnt > 1000 || R_enc_cnt < -1000 ){	//どちらかのモータが1000カウント（50回転）したらループを抜ける
			break;
		}
	}
	Mtr_Run_lv(0,0,0,0,0,0);
}
